TYPOS3.Flow - Bug # 40890

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Core
Created: 2012-09-13 Assigned To: Robert Lemke
Updated: 2012-12-11 Due date:

PHP Version: 54

Has patch: No

Complexity: easy

Affected Flow version: Git 1.2 (master)

Subject: Display error message if Data is not writeable

Description

Currently the mkdir() command in Bootstrap doesn't check for any warnings if the directory Data or Data/Persistent could not be

created.

If these directories can't be created, a proper error message should be displayed.

Associated revisions

Revision 939181e9 - 2012-09-13 16:07 - Robert Lemke

[BUGFIX] Display error message if "Data/" is not writeable

If the directory "Data/" or "Data/Persistent/" does not exist and could

not be created by the bootstrap, an error message is now displayed which
hints on using the setfilepermissions command.

Change-Id: 13dffa50af13b66d359b11e42a201b76fbc32df26

Resolves: #40890
Release: 1.1, 1.2

Revision 04969917 - 2012-12-10 22:03 - Robert Lemke

[BUGFIX] Display error message if "Data/" is not writeable

If the directory "Data/" or "Data/Persistent/" does not exist and could

not be created by the bootstrap, an error message is now displayed which
hints on using the setfilepermissions command.

Change-Id: 13dffa50af13b66d359b11e42a201b76fbc32df26

Resolves: #40890
Release: 1.1, 1.2

History

#1 - 2012-09-13 11:18 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14577

#2 - 2012-09-13 16:07 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14577

#3 - 2012-09-13 17:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:939181e9b8e78d8c8304c5d04cc275fb55d2¢226.

#4 - 2012-12-10 22:02 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/17078

#5 - 2012-12-10 22:03 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/17078

#6 - 2012-12-11 10:27 - Karsten Dambekalns
- Status changed from Under Review to Resolved
